Page MenuHomePhabricator

Decommission nitrogen (IPv6 relay)
Closed, ResolvedPublic

Description

There is little use nowadays for as an 6to4/Teredo relay, as is evident by both Google's IPv6 statistics and our own (such as nitrogen's average bandwidth). We should decommission the service and return nitrogen to the spare pool.

Details

Related Gerrit Patches:

Event Timeline

MoritzMuehlenhoff raised the priority of this task from to Needs Triage.
MoritzMuehlenhoff updated the task description. (Show Details)
MoritzMuehlenhoff added a project: Operations.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptJan 15 2016, 12:51 PM
Dzahn added a comment.Jan 21 2016, 1:34 AM

this is role::ipv6relay / miredo

What kind of requirements does the IPv6 relay have?

I installed "nload" to see how much it's used network-wise.

Dzahn added a comment.Jan 21 2016, 1:44 AM

incoming and outgoing about 3MBit/s on average over a couple minutes

hashar removed a subscriber: hashar.Jan 21 2016, 9:53 AM
Dzahn added a comment.EditedJan 25 2016, 5:49 PM

was mentioned briefly in ops meeting. @faidon said this is used less and less over time and we can probably shut it down, but some networking work needs to be done first. adding netops for that.

Dzahn set Security to None.
Dzahn added a subscriber: faidon.
faidon renamed this task from Migrate nitrogen to jessie to Decommission nitrogen (IPv6 relay).Jan 25 2016, 7:34 PM
faidon triaged this task as Normal priority.
faidon updated the task description. (Show Details)

I removed the static routes from cr1/cr2-eqiad for the 6to4 and Teredo routes. Nitrogen shouldn't be used anymore and can be decommissioned (I adjusted the task description).

Dzahn claimed this task.Jan 25 2016, 7:39 PM

cool, thanks Faidon. i'll take the decom part

Dzahn added a subscriber: Papaul.Jan 25 2016, 7:47 PM
Dzahn added a comment.Jan 25 2016, 9:27 PM

used this as an example to go through decom process with @Papaul

he made https://gerrit.wikimedia.org/r/#/c/266310/ and https://gerrit.wikimedia.org/r/#/c/266311/

Dzahn added a comment.Jan 25 2016, 9:52 PM

server has been shutdown, removed from puppet, DHCP

revoked puppet cert and salt-key, disable notifications and removed from Icinga/stored configs

Dzahn added a comment.Jan 25 2016, 9:58 PM

@Papaul is going to follow-up with a DNS change and subtask for onsite-tech

Dzahn reassigned this task from Dzahn to Papaul.Jan 25 2016, 9:59 PM
Dzahn claimed this task.Jan 28 2016, 12:04 AM

Change 266953 had a related patch set uploaded (by Dzahn):
remove public IP of nitrogen, decom

https://gerrit.wikimedia.org/r/266953

Change 266953 merged by Dzahn:
remove public IP of nitrogen, decom

https://gerrit.wikimedia.org/r/266953

Dzahn added a comment.EditedJan 28 2016, 12:31 AM

removed IP from DNS, fixed link to blocking ticket, this is done, follow-up in the ops-eqiad ticket, T124717 -> assigned to Chris

Dzahn closed this task as Resolved.Jan 28 2016, 12:31 AM
Dzahn removed a project: Patch-For-Review.